> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Link Payment Status



## OpenAPI

````yaml openapi.json get /payment-link/payment/status
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payment-link/payment/status:
    parameters: []
    get:
      tags:
        - Payment Link
      summary: Payment Link Payment Status
      parameters:
        - name: reference
          in: query
          required: false
          example: CE1nPlosxCJyICNkXqVSQTtebmXqQUDRHBjr
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '63'
            ETag:
              schema:
                type: string
              example: W/"3f-RRXL+61jNePEy0dNv1OvtvaH0rY"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Fri, 08 Nov 2024 15:47:18 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Payment Link Payment Status - Paid
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      mode:
                        type: string
                      type:
                        type: string
                      category:
                        type: string
                      amount:
                        type: integer
                      settledAmount:
                        type: integer
                      charges:
                        type: number
                      vat:
                        type: integer
                      reference:
                        type: string
                      status:
                        type: string
                      metadata:
                        type: object
                        properties:
                          narration:
                            type: string
                          reference:
                            type: string
                          amountPaid:
                            type: number
                          isPaymentLink:
                            type: boolean
                          paymentLinkId:
                            type: string
                          paymentMethod:
                            type: string
                          subaccountShare:
                            type: integer
                          mainAccountShare:
                            type: integer
                          originatorBankCode:
                            type: string
                            format: color
                          originatorBankName:
                            type: string
                          beneficiaryBankCode:
                            type: string
                            format: color
                          beneficiaryBankName:
                            type: string
                          hasActiveSubaccount:
                            type: boolean
                          subaccountSettlement:
                            type: integer
                          mainAccountSettlement:
                            type: integer
                          originatorAccountName:
                            type: string
                          totalSettlementAmount:
                            type: integer
                          beneficiaryAccountName:
                            type: string
                          originatorAccountNumber:
                            type: string
                            format: utc-millisec
                          beneficiaryAccountNumber:
                            type: string
                            format: utc-millisec
                          originatorBankVerificationNumber:
                            type: string
                          beneficiaryBankVerificationNumber:
                            type: string
                      paidAt:
                        type: string
                        format: date-time
                      walletType:
                        type: string
                      description:
                        type: string
                      sessionId:
                        type: string
                        format: utc-millisec
                      isMerchantAccount:
                        type: boolean
                      isServiceAccount:
                        type: boolean
                      externalReference:
                        type: string
                      externalTransactionId:
                        nullable: true
                      merchantId:
                        type: string
                      walletId:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      deletedAt:
                        nullable: true
              example:
                status: true
                message: Operation is successful
                data:
                  id: f622d416-a4d2-4b41-ab5b-b66207d64d05
                  mode: SANDBOX
                  type: CREDIT
                  category: BANK_FUNDING
                  amount: 2500
                  settledAmount: 2500
                  charges: 137.5
                  vat: 0
                  reference: DPbu3vXlAK2XriWx7PXXiGJpvkGO5QPhYeGc
                  status: SUCCESS
                  metadata:
                    narration: Sandbox Account funding.
                    reference: CE1nPlosxCJyICNkXqVSQTtebmXqQUDRHBjr
                    amountPaid: 2637.5
                    isPaymentLink: true
                    paymentLinkId: 39f2f76d-215b-4158-a8d3-1f22e89dcd92
                    paymentMethod: Bank Transfer
                    subaccountShare: 0
                    mainAccountShare: 2500
                    originatorBankCode: '999270'
                    originatorBankName: Monieswitch Test Bank
                    beneficiaryBankCode: '999270'
                    beneficiaryBankName: XpressWallet
                    hasActiveSubaccount: false
                    subaccountSettlement: 0
                    mainAccountSettlement: 2500
                    originatorAccountName: Emmanuel
                    totalSettlementAmount: 2500
                    beneficiaryAccountName: QUD-Status Payment Link Test
                    originatorAccountNumber: '0167421242'
                    beneficiaryAccountNumber: '4486657529'
                    originatorBankVerificationNumber: ''
                    beneficiaryBankVerificationNumber: ''
                  paidAt: '2024-11-08T14:16:46.448Z'
                  walletType: DYNAMIC
                  description: ₦2,637.50 received from Emmanuel
                  sessionId: '999270241108141646491306284164'
                  isMerchantAccount: false
                  isServiceAccount: false
                  externalReference: DPbu3vXlAK2XriWx7PXXiGJpvkGO5QPhYeGc
                  externalTransactionId: null
                  merchantId: 9dcb86ff-ff80-45d8-bae5-0367672932b9
                  walletId: a4dae224-79f0-4e48-b0ac-4e14b66e1319
                  createdAt: '2024-11-08T14:16:46.541Z'
                  updatedAt: '2024-11-08T14:16:51.589Z'
                  deletedAt: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````